Skip to main content
`Ctrl`+`K`

# DMSwarmSortGetSizes

Gets the sizes associated with a `DMSWARM` point sorting context

## Synopsis

    #include "petscdmda.h"
    #include "petscdmplex.h"
    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSortGetSizes(DM sw, PetscInt *ncells, PetscInt *npoints)

Not Collective

## Input Parameter

- sw - a `DMSWARM` object

## Output Parameters

- ncells - number of cells within the sort context (pass `NULL` to ignore)

- npoints - number of points used to create the sort context (pass `NULL` to ignore)

## See Also

`DMSWARM`, `DMSwarmSetType()`, `DMSwarmSortGetAccess()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic_sort.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages